module.exports = {
    meta: {
        messages: {
            invalidName: 'Avoid use \'setMap\' for identifier, because it may cause tencent map down'
        }
    },
    create(context) {
        return {
            Identifier(node) {
                if (node.name.indexOf('setMap') > -1) {
                    context.report({
                        node,
                        messageId: 'invalidName'
                    });
                }
            }
        };
    }
};
